<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:label="http://xbrl.org/2008/label" xmlns:gen="http://xbrl.org/2008/generic" xmlns:ns7="http://xbrl.org/2008/formula" xmlns:variable="http://xbrl.org/2008/variable" xmlns:ns9="http://xbrl.org/2010/custom-function" xmlns:cf="http://xbrl.org/2008/filter/concept" xmlns:ea="http://xbrl.org/2008/assertion/existence" xmlns:va="http://xbrl.org/2008/assertion/value" xmlns:gf="http://xbrl.org/2008/filter/general" xmlns:df="http://xbrl.org/2008/filter/dimension" xmlns:ns15="http://xbrl.org/2008/filter/period" xmlns:ns16="http://xbrl.org/2008/filter/unit" xmlns:ns17="http://xbrl.org/2008/filter/entity" xmlns:ns18="http://xbrl.org/2008/filter/segment-scenario" xmlns:xl="http://www.xbrl.org/2003/XLink">
    <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
        <link:loc xlink:href="tow-2023-12-31.xsd#tow_ProfitLossOnSales" xlink:type="locator" xlink:label="ProfitLossOnSales"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossOnSales" xlink:to="documentation_ProfitLossOnSales" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossOnSales" xlink:to="label_ProfitLossOnSales" xlink:type="arc"/>
        <link:label id="documentation_ProfitLossOnSales_pl" xlink:label="documentation_ProfitLossOnSales" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Zysk (strata) ze sprzedaży</link:label>
        <link:label id="label_ProfitLossOnSales_pl" xlink:label="label_ProfitLossOnSales" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Zysk (strata) ze sprzedaży</link:label>
    </link:labelLink>
</link:linkbase>
